package com.maniu.http;

public class MnHttp {

    /**
     * 框架层提供给应用层调用的API
     * @param url
     * @param response
     * @param response
     * @param iJsonListenner
     * @param <T>
     * @param <M>
     */
    public static<T,M> void sendMessage(String url,T requestData,Class<M> response,IJsonListenner
            iJsonListenner){
        //先去缓存中拿数据


        //首先，第一步就是要封装请求对象
        IHttpRequest iHttpRequest = new HttpRequest();
        //然后  创建一个内部的回调接口
        CallBackListenner callBackListenner = new JasonCallBackImpl(response,iJsonListenner);
        //创建一个请求任务
        HttpTask httpTask = new HttpTask(iHttpRequest,url,requestData,callBackListenner);
        //创建请求任务的队列 然后用线程池去执行这些请求任务
        ThreadManager.getInstance().addTask(httpTask);
    }
}
